export type Declaration = {
    /** Path to the original file */
    sourcePath: string;
    /** The modified or not content of the file */
    content: string;
    /**
     * Replaces the coordinates with the provided text, adjusting the coords to previous
     * changes.
     */
    replacer: (start: number, end: number, text: string) => void;
    /** A list of changes made in the original file to adjust any future coordinates of texts */
    changeset: Array<{
        start: number;
        diff: number;
    }>;
    /** Updates the original file of sourcePath with the content's contents */
    update: () => Promise<void>;
};
export declare function readPrismaDeclarations(nsName: string, clientOutput: string, overrideTarget?: string, schemaTarget?: string): Promise<Declaration>;
//# sourceMappingURL=reader.d.ts.map