"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSourcePath = void 0;
const tslib_1 = require("tslib");
const path_1 = tslib_1.__importDefault(require("path"));
function getSourcePath(clientOutput, overrideTarget, schemaTarget) {
    if (overrideTarget) {
        // schema relative
        if (overrideTarget.startsWith('./')) {
            return path_1.default.resolve(
            // schemaTarget is the full path of the Prisma schema - we need the directory
            path_1.default.dirname(schemaTarget), overrideTarget, overrideTarget.endsWith('.d.ts') ? '' : 'index.d.ts');
        }
        // importable
        return require.resolve(overrideTarget);
    }
    return path_1.default.resolve(
    // prisma client directory
    path_1.default.dirname(
    // We cannot directly resolve .prisma/client because pnpm uses a different directory structure,
    // so we find @prisma/client path and resolve the parent directory
    require.resolve(path_1.default.resolve(clientOutput, '../../.prisma/client'))), 'index.d.ts');
}
exports.getSourcePath = getSourcePath;
//# sourceMappingURL=source-path.js.map