"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.replaceObject = void 0;
const handle_signature_1 = require("./handle-signature");
const regex_1 = require("./regex");
function replaceObject(model, object, nsName, replacer, typeAliasName) {
    const fields = model.fields.filter((f) => f.documentation?.match(regex_1.JSON_REGEX));
    for (const member of object.members) {
        for (const field of fields) {
            const fieldName = member.name?.getText();
            if (fieldName !== field.name) {
                continue;
            }
            const typename = field.documentation?.match(regex_1.JSON_REGEX)?.[1];
            const signatureType = member.type;
            if (!typename || !signatureType) {
                throw new Error(`Could not find typename or signature type for ${field.name}`);
            }
            (0, handle_signature_1.replaceSignature)(signatureType, typename, nsName, replacer, fieldName, model.name, typeAliasName);
        }
    }
}
exports.replaceObject = replaceObject;
//# sourceMappingURL=replace-object.js.map